【活用ガイド】

[English]

JVNDB-2018-000072

複数のロジクール製ソフトウェアのインストーラにおける DLL 読み込みに関する脆弱性

概要

株式会社ロジクールが提供する複数のソフトウェアのインストーラには、DLL を読み込む際の検索パスに問題があり、該当するインストーラと同一のディレクトリに存在する特定の DLL ファイルを読み込んでしまう脆弱性 (CWE-427) が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CCが開発者との調整を行いました。
報告者: NTTコミュニケーションズ株式会社 東内裕二 氏

CVSS による深刻度 (CVSS とは?)

CVSS v3 による深刻度
基本値: 7.8 (重要) [IPA値]
  • 攻撃元区分: ローカル
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): 高
  • 完全性への影響(I): 高
  • 可用性への影響(A): 高
CVSS v2 による深刻度
基本値: 6.8 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的
影響を受けるシステム


Logitech
  • ロジクール ゲームソフト バージョン 8.87.116 より前のバージョン
  • ロジクール接続ユーティリティソフトウェア バージョン 2.30.9 より前のバージョン

想定される影響

インストーラを実行している権限で、任意のコードを実行される可能性があります。
対策

[最新のインストーラを使用する]
開発者が提供する情報をもとに、最新のインストーラを使用してください。

開発者によると、ロジクール ゲームソフトウェアについては、2016年月8月31日にリリースされたバージョン8.87.116 にて、本脆弱性が修正されているとのことです。

本脆弱性の影響を受けるのはインストーラの起動時のみです。既に製品をインストール済みの場合は影響を受けません。
上記の各バージョンより古いインストーラが保存されている場合は、速やかに削除してください。
ベンダ情報

Logitech
CWEによる脆弱性タイプ一覧  CWEとは?

  1. その他(CWE-Other) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2018-0620
  2. CVE-2018-0621
参考情報

  1. JVN : JVN#52574492
  2. JVN : JVNTA#91240916
更新履歴

  • [2018年07月06日]
      掲載